From: Ole Streicher <olebole@debian.org>
Date: Tue, 13 Oct 2020 11:43:31 +0200
Subject: Unconditionally skip wcsapi test if compilation fails

Otherwise, the test will fail on Debians gitlab-ci on Salsa
---
 astropy/wcs/tests/extension/test_extension.py | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/astropy/wcs/tests/extension/test_extension.py b/astropy/wcs/tests/extension/test_extension.py
index cbc794d..47a8ac0 100644
--- a/astropy/wcs/tests/extension/test_extension.py
+++ b/astropy/wcs/tests/extension/test_extension.py
@@ -54,9 +54,7 @@ def test_wcsapi_extension(tmpdir):
     # don't want to ever skip, because having it fail in that
     # environment probably indicates something more serious that we
     # want to know about.
-    if (not ('CI' in os.environ or
-             'CONTINUOUS_INTEGRATION' in os.environ) and
-            p.returncode):
+    if (p.returncode):
         pytest.skip("system unable to compile extensions")
         return
 
